section.large-game-sect.hidden {
    display: none;
}
p.version-label {
    position: fixed;
    bottom: 10px;
    right: 10px;
}

.game-over-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 10000;
    padding: 20px;

    & h1 {
        font-size: 48px;
        margin-bottom: 20px;
    }
    & h1, & h2, & h3 {
        color: white;
    }
    &.win {
        background-color: rgba(0, 255, 0, 0.5);

        h1 {
            text-shadow: 0 0 10px lime, 0 0 20px lime, 0 0 30px lime;
        }
    }
    &.lose {
        background-color: rgba(255, 0, 51, 0.5);
        h1 {
            text-shadow: 0 0 10px red, 0 0 20px red, 0 0 30px red;
        }
    }
    &.hidden {
        display: none;
    }
}

.credits {
    border-top: 1px solid gray;
    margin-top: 40px;
    padding: 10px 20px 20px 20px;

    & p {
        text-align: center;
        font-size: 16px;
        margin-top: 6px;

        & a {
            color: teal;
            text-decoration: none;
            transition: all 0.3s ease-in-out;

            &:hover {
                text-decoration: underline;
            }
            &:active {
                text-decoration: underline;
                opacity: 0.8;
                scale: 0.95;
            }
        }
    }
}

.advanced-mute-cont {
    text-align: center;
    gap: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;

    & .flexbox {
        gap: 20px;
    }
    & label {
        font-size: 16px;
        display: flex;
        align-items: center;
        gap: 10px;
    }
    &.hidden {
        display: none;
    }
}

.achievement-popup {
    position: fixed;
    top: -200px;
    left: calc(50% - 180px);
    background-color: rgba(0, 0, 0, 0.8);
    border: 2px solid teal;
    border-radius: 12px;
    padding: 10px;
    width: 360px;
    display: flex;
    align-items: center;
    gap: 10px;
    z-index: 10000;
    animation: popup 5s ease-in-out;

    & * {
        text-align: left;
        margin: 0;
    }
    & h3 {
        margin-bottom: 5px;
    }
}

@keyframes popup {
    0% {
        top: -200px;
        opacity: 0;
    }
    10% {
        top: 20px;
        opacity: 1;
    }
    90% {
        top: 20px;
        opacity: 1;
    }
    100% {
        top: -200px;
        opacity: 0;
    }
}

@media (max-width: 420px) {
    .achievement-popup {
        scale: 0.7;
    }
}

.cheats-menu-background {
    position: fixed;
    top: 0;
    transform: translateY(-150%);
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000;
    transition: all 0.5s linear !important;

    &.shown {
        transform: translateY(0) !important;
        opacity: 1 !important;
    }
    & .cheats-menu {
        background-color: black;
        border: 2px solid teal;
        border-radius: 12px;
        padding: 20px;
        width: 50%;
        height: 50%;
        min-height: 500px;
        min-width: 300px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        overflow-y: auto;
        position: relative;
        gap: 10px;

        & h3 {
            position: absolute;
            top: 20px;
            left: 20px;
            margin: 0;
            cursor: pointer;
            transition: all 0.3s ease-in-out;

            &:hover {
                color: crimson;
            }
            &:active {
                color: crimson;
                opacity: 0.75;
                transform: scale(0.95);
            }
        }
        & h2 {
            text-align: center;
            margin-bottom: 10px;
        }
        & button {
            padding: 8px 16px;
            font-size: 18px;
            cursor: pointer;
            border-radius: 8px;
            border: 2px solid black;
            transition: all 0.3s ease-in-out;

            &:hover {
                scale: 1.05;
                background-color: transparent;
                color: white;
                border-color: white;
            }
            &:active {
                scale: 0.95;
                opacity: 0.8;
                background-color: transparent !important;
                color: gray !important;
                border-color: gray !important;
            }
        }
    }
}

.toggle-cheats {
    position: fixed;
    bottom: 10px;
    left: 10px;
    font-size: 16px;
    z-index: 500;

    &.hidden {
        display: none;
    }
}

.screenout-div {
    &.hidden {
        display: none;
    }
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: 10000;
    opacity: 0.8;
}
